changeset 13328:1c0d89ded4f9

acl: Avoid test failure on Cygwin-hosted mingw.
author Bruno Haible <bruno@clisp.org>
date Sun, 09 May 2010 18:51:48 +0200
parents b0d072538a30
children 256d057c7f1f
files ChangeLog tests/test-set-mode-acl.sh
diffstat 2 files changed, 11 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2010-05-09  Bruno Haible  <bruno@clisp.org>
+
+	acl: Avoid test failure on Cygwin-hosted mingw.
+	* tests/test-set-mode-acl.sh: Skip test if USE_ACL is 0.
+
 2010-05-09  Bruno Haible  <bruno@clisp.org>
 
 	error: Use system's fcntl function.
--- a/tests/test-set-mode-acl.sh
+++ b/tests/test-set-mode-acl.sh
@@ -3,6 +3,12 @@
 # Show all commands when run with environment variable VERBOSE=yes.
 test -z "$VERBOSE" || set -x
 
+test "$USE_ACL" = 0 &&
+  {
+    echo "Skipping test: insufficient ACL support"
+    exit 77
+  }
+
 # func_tmpdir
 # creates a temporary directory.
 # Sets variable